
QGIS Application - Bug report #12356

DB Manager loads NUMERIC fields instead of DOUBLE when subquerying

2015-03-11 03:35 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.8.1 Regression?: No

Operating System: debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20531

Description

The original layer loaded in a SL database has many DOUBLE fields. 

But trying to do a subquery and load the result in QGIS through DB Manager, the same fields are loaded as NUMERIC.

With NUMERIC fields one cannot use, for example, a graduated style.

Related issues:

Related to QGIS Application - Bug report # 12325: Integer fields converted to... Closed 2015-03-06

History

#1 - 2015-03-11 04:15 AM - Jukka Rahkonen

May be related to #12325. The main reason is probably that SQLite does not have strict data types http://www.sqlite.org/datatype3.html.

#2 - 2015-03-11 04:23 AM - matteo ghetta

Yes, may be related to the bug you cited.

So not a real QGIS bug rather a SQlite feature, right?

#3 - 2015-04-02 02:47 AM - Roy Roge

SQlite does not enforce data type but i think this

should be up to the client interface using SQlite (or Spatialite)

otherwise we don't have control on our data and results

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://www.sqlite.org/datatype3.html


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
